Status: New Start date: 2013-03-20

Priority: High Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version: *   

Description

Currently, records for obsoleted items are maintained in the solr index so its resourceMap, documents, documentedBy relationships

are available, and people can "investigate the past".  However, those same relationships are not available for archived items, leading

to an incomplete solution for this use case (accessing package relationships of out-of-date content).

Archive is used to limit discoverability, but it also eliminates the ability to navigate the package relationships.  

Note: archive is intended to be used when the owner does not want to update the object, but simply remove it.  However, nothing

prevents the owner from archiving obsoleted content.  So, in fact, the ability to navigate the package relationships of out-of-date

content cannot be guaranteed, and is subject to the individual data management practices of content owners. 

Subtasks:

Task # 3676: design proposal for archive Closed

Related issues:

Related to Infrastructure - Bug #7858: Obsoleting a resource map clears the r... New 2016-08-03

Related to Infrastructure - Story #8702: Indexing Refactor Strategy New 2018-09-24

History

#1 - 2017-03-29 12:14 - Dave Vieglais

- Related to Bug #7858: Obsoleting a resource map clears the resourceMap field for the obsoleted package added

#2 - 2018-09-21 21:01 - Rob Nahf

- Target version set to CCI-2.4.0

- Category changed from Documentation to d1_indexer

#3 - 2018-09-21 22:52 - Rob Nahf

- Related to Story #8702: Indexing Refactor Strategy added

Powered by TCPDF (www.tcpdf.org)

2024-03-13 1/1

http://www.tcpdf.org

